terminal'The Loot' (Triggers) Endpoint

Same core concept as our 'Gimme The Loot` endpoint. But highlyyyy triggered. Process multiple filter triggers in a single API call. Each trigger can have different ranking and filtering criteria. Useful for implementing tiered strategies (e.g., aggressive → moderate → conservative) with a single request.

If first_match_only is enabled, it'll return the the first trigger that finds mint(s). Triggers are processed in the order they are received. So make the first trigger your "YOLO" hot-mint strategy, with the last trigger being your least fav (the most conservative one). i.e. hot -> not. Trigger parameter id can be ANY string you want. This allows you to set a unique identifier for your client to handle and parse responses.

Max triggers: 6 per request.

POST https://api.getfomo.bot/loot/triggers

Request

curl -X POST https://api.getfomo.bot/loot/triggers \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key-here" \
  -d '{
    "first_match_only": true,
    "base_mints": ["So11111111111111111111111111111111111111112"],
    "exclude_mints": [],
    "max_mint_count_per_trigger": 1,
    "aggregation_window": 300,
    "from_wallets": [],
    "from_bots": [],
    "include_aluts": true,
    "include_priority_fees": true,
    "include_jito_tips": true,
    "exclude_dexes": [],
    "triggers": [
      {
        "id": "aggressive",
        "rank_by": "momentum",
        "min_roi": 500,
        "min_volume": 10000,
        "min_txs": 20,
        "min_market_cap": 0,
        "max_market_cap": 10000000,
        "markets_per_mint": {
          "min_count": 3,
          "max_count": 5,
          "min_liquidity_usd": 1000,
          "min_vol": 500,
          "min_txs": 5,
          "rank_by": "volume"
        }
      },
      {
        "id": "moderate",
        "rank_by": "momentum",
        "min_roi": 200,
        "min_volume": 5000,
        "min_txs": 10,
        "min_market_cap": 0,
        "max_market_cap": 10000000,
        "markets_per_mint": {
          "min_count": 2,
          "max_count": 4,
          "min_liquidity_usd": 500
        }
      },
      {
        "id": "conservative",
        "rank_by": "hit_rate",
        "min_roi": 100,
        "min_txs": 5,
        "min_market_cap": 0,
        "max_market_cap": 10000000,
        "markets_per_mint": {
          "min_count": 2,
          "max_count": 4,
          "min_liquidity_usd": 500
        }
      }
      ...
    ]
  }'

Body Fields

Field
Type
Default
Description

first_match_only

boolean

false

Stops after first trigger that returns mints

base_mints

string[]

["So111..."]

Target base mints (wSOL, USDC, etc.)

exclude_mints

string[]

[]

Quote mints to exclude from results

max_mint_count_per_trigger

number

1

Maximum mints to return (max 20)

aggregation_window

number

3600

Lookback window in seconds (max 43200)

from_wallets

string[]

[]

Only include transactions from these signers

from_bots

string[]

[]

Only include transactions from mev bots. Option: smb, notarb

include_aluts

boolean

false

Include Address Lookup Tables

include_priority_fees

boolean

false

Include priority fee estimates

include_jito_tips

boolean

false

Include jito tip estimates

include_dexes / exclude_dexes

string[]

[]

Options: 'include_dexes' or 'exclude_dexes'. Array of program IDs to include/exclude from computed results.

triggers

array

--

Array of trigger objects (max 6)

Trigger Object

Field
Type
Default
Description

id

string

"0","1", etc.

Optional: custom identifier for the trigger (defaults to object index)

rank_by

string

"momentum"

Ranking metric (see Mint Filter Metrics)

min_roi

number

0

Minimum ROI in basis points

min_volume

number

0

Minimum USD volume (arbitrage)

min_txs

number

5

Minimum successful arbitrage transactions

min_market_cap

number

0

Minimum market cap in USD (0 = disabled)

max_market_cap

number

100000000

Maximum market cap in USD (0 = disabled, default 100M)

markets_per_mint

object

See below

Market filtering and ranking options (see below)

'Markets Per Mint' Object

Field
Type
Default
Description

min_count

number

2

Minimum markets required per mint (2-10)

max_count

number

4

Maximum markets per mint (2-10)

min_liquidity_usd

number

100

Minimum pool liquidity in USD (0 = disabled)

min_vol

number

0

Minimum USD volume (arbitrage) in aggregation window (0 = disabled)

min_txs

number

0

Minimum transaction count in window (0 = disabled)

rank_by

string

"volume"

How to rank markets: volume, liquidity, txs

Response

Last updated